#language: ru

@carc

Функционал: 018. CARC. Создание поступлений товаров

Сценарий: 018.1. CARC. Создание поступления товаров
	
	Дано Я подключаюсь под "Формирование поступлений"
	Дано я удаляю объекты "Документы.ПоступлениеТоваровУслуг" без контроля ссылок
	Дано я удаляю объекты "Документы.КорректировкаПоступления" без контроля ссылок
	И В командном интерфейсе я выбираю 'Закупки' 'Поступления товаров и услуг'
	Тогда открылось окно 'Поступления товаров и услуг'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Поступление товаров и услуг (создание)'
	И из выпадающего списка "Статус" я выбираю по строке 'Принято'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка с именем "Контрагент" я выбираю по строке 'Ашан(продажа тары)'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Ашан(продажа тары)'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение для Ашана (продажа тары) - поставщик'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад с ячейкой тары'
	И в поле 'План. дата' я ввожу текст '25.08.2020'
	И в поле 'Факт. дата' я ввожу текст '25.08.2020'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'Пластиковый палет'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '2,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'Коробка синяя'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '2,000'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'Ед.' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'Строка заявлено' | 'Всего, RUB' | 'НДС, RUB' | 'Это брак' | 'Вес, кг' |
		| '2,000'      | 'Пластиковый палет' | '<не используются>' | '400,00'     | '<не используются>' | 'шт'  | '2,000, шт'      | '200,00'    | '200,00'          | '20%'   | '<не выбрана>'    | '400,00'     | '66,67'    | 'Нет'      | '1'       |
		| '2,000'      | 'Коробка синяя'     | '<не используются>' | '200,00'     | '<не используются>' | 'шт'  | '2,000, шт'      | '100,00'    | '100,00'          | '20%'   | '<не выбрана>'    | '200,00'     | '33,33'    | 'Нет'      | '0,2'     |
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "СуммаНДС" стал равен '100,00'
	И элемент формы с именем "СуммаДокумента" стал равен '600,00'
	И элемент формы с именем "ИтогоВес" стал равен '1,200'
	И я перехожу к закладке "Дополнительно"
	И я устанавливаю флаг 'Вернуть многооборотную тару'
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "СуммаНДС" стал равен '33,33'
	И элемент формы с именем "СуммаДокумента" стал равен '200,00'
	И элемент формы с именем "ИтогоВес" стал равен '1,200'
	И в поле с именем 'НомерПоДаннымКлиента' я ввожу текст '1'
	И в поле с именем 'ДатаПоДаннымКлиента' я ввожу текст '25.08.2020'
	И в поле 'Комментарий' я ввожу текст 'Поступление тары'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Поступления товаров и услуг'
	И я закрываю окно 'Поступления товаров и услуг'

Сценарий: 018.2. CARC. Корректировка поступления
	
	И В командном интерфейсе я выбираю 'Закупки' 'Поступления товаров и услуг'
	Тогда открылось окно 'Поступления товаров и услуг'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'      | 'Организация' | 'Плановая дата поставки' | 'Поставщик'          | 'Сумма'       |
		| 'Поступление тары' | 'Организация' | '25.08.2020'             | 'Ашан(продажа тары)' | '200,00, RUB' |
	И я нажимаю на кнопку 'Корректировка поступления товаров'
	Тогда открылось окно 'Корректировка поступления товаров (создание)'
	И элемент формы с именем "ВидКорректировки" стал равен 'Исправление ошибок'
	И элемент формы с именем "Организация" стал равен 'Организация'
	И элемент формы с именем "Поставщик" стал равен 'Ашан(продажа тары)'
	И элемент формы с именем "ТочкаДоставки" стал равен 'Ашан(продажа тары)'
	И элемент формы с именем "Соглашение" стал равен 'Соглашение для Ашана (продажа тары) - поставщик'
	И элемент формы с именем "Склад" стал равен 'Склад с ячейкой тары'
	И элемент формы с именем "Ячейка" стал равен '0010011'
	И элемент формы с именем "МоментОпределенияЦены" стал равен 'На дату заказа'
	И элемент формы с именем "Налогообложение" стал равен 'Облагается (с НДС)'
	И элемент формы с именем "ВидЦен" стал равен 'Ашан'
	И элемент формы с именем "ЦенаВключаетНДС" стал равен 'Да'
	И таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Ед.' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'Цена с учетом скидок' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' |
		| '2,000'      | 'Пластиковый палет' | 'шт'  | '<не используются>' | '400,00'     | '<не используются>' | '2,000, шт'      | '200,00'    | '200,00'               | '20%'   | '66,67'     | '400,00'     | '1'       |
		| '2,000'      | 'Коробка синяя'     | 'шт'  | '<не используются>' | '200,00'     | '<не используются>' | '2,000, шт'      | '100,00'    | '100,00'               | '20%'   | '33,33'     | '200,00'     | '0,2'     |
	И элемент формы с именем "ВернутьМногооборотнуюТару" стал равен 'Да'
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен '0,00'
	И элемент формы с именем "СуммаДокумента" стал равен '200,00'
	И элемент формы с именем "СуммаНДС" стал равен '33,33'
	И элемент формы с именем "Вес" стал равен '1,200'
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура'      | 'Серия'             | 'НДС, RUB' | 'Сумма, RUB' | 'Характеристика'    | 'Цена с учетом скидок' | 'Цена, RUB' |
		| '20%'   | '2,000, шт'      | '1'       | '400,00'     | 'шт'  | '2,000'      | 'Пластиковый палет' | '<не используются>' | '66,67'     | '400,00'     | '<не используются>' | '200,00'               | '200,00'    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '1,000'
	И в таблице "Товары" я завершаю редактирование строки
	И в таблице "Товары" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Вес, кг' | 'Всего, RUB' | 'Ед.' | 'Количество' | 'Номенклатура'  | 'Серия'             | 'НДС, RUB' | 'Сумма, RUB' | 'Характеристика'    | 'Цена с учетом скидок' | 'Цена, RUB' |
		| '20%'   | '2,000, шт'      | '0,2'     | '200,00'     | 'шт'  | '2,000'      | 'Коробка синяя' | '<не используются>' | '33,33'     | '200,00'     | '<не используются>' | '100,00'               | '100,00'    |
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '1,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я перехожу к закладке "Расхождения"
	И в таблице "Расхождения" я нажимаю на кнопку 'Заполнить расхождения'
	И в таблице "Расхождения" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Всего'   | 'Ед.' | 'Количество' | 'Номенклатура'      | 'Серия'             | 'Сумма'   | 'Сумма НДС' | 'Характеристика'    |
		| '20%'   | '-1,000, шт'     | '-200,00' | 'шт'  | '-1,000'     | 'Пластиковый палет' | '<не используются>' | '-200,00' | '-33,34'    | '<не используются>' |
	И в таблице "Расхождения" из выпадающего списка "Причина" я выбираю по строке 'Изменение количества с тарой'
	И в таблице "Расхождения" я завершаю редактирование строки
	И в таблице "Расхождения" я перехожу к строке:
		| '% НДС' | 'В ед. хранения' | 'Всего'   | 'Ед.' | 'Количество' | 'Номенклатура'  | 'Серия'             | 'Сумма'   | 'Сумма НДС' | 'Характеристика'    |
		| '20%'   | '-1,000, шт'     | '-100,00' | 'шт'  | '-1,000'     | 'Коробка синяя' | '<не используются>' | '-100,00' | '-16,66'    | '<не используются>' |
	И в таблице "Расхождения" из выпадающего списка "Причина" я выбираю по строке 'Изменение количества с тарой'
	И в таблице "Расхождения" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Ед.' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'             | 'В ед. хранения' | 'Цена, RUB' | 'Цена с учетом скидок' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' |
		| '1,000'      | 'Пластиковый палет' | 'шт'  | '<не используются>' | '200,00'     | '<не используются>' | '1,000, шт'      | '200,00'    | '200,00'               | '20%'   | '33,33'     | '200,00'     | '0,5'     |
		| '1,000'      | 'Коробка синяя'     | 'шт'  | '<не используются>' | '100,00'     | '<не используются>' | '1,000, шт'      | '100,00'    | '100,00'               | '20%'   | '16,67'     | '100,00'     | '0,1'     |
	Тогда таблица "Расхождения" стала равной:
		| 'Количество' | 'Номенклатура'      | 'Ед.' | 'Характеристика'    | 'Причина'                      | 'Серия'             | 'В ед. хранения' | 'Цена'   | 'Цена с учетом скидок' | '% НДС' | 'Сумма'   | 'Сумма НДС' | 'Всего'   |
		| '-1,000'     | 'Пластиковый палет' | 'шт'  | '<не используются>' | 'Изменение количества с тарой' | '<не используются>' | '-1,000, шт'     | '200,00' | '200,00'               | '20%'   | '-200,00' | '-33,34'    | '-200,00' |
		| '-1,000'     | 'Коробка синяя'     | 'шт'  | '<не используются>' | 'Изменение количества с тарой' | '<не используются>' | '-1,000, шт'     | '100,00' | '100,00'               | '20%'   | '-100,00' | '-16,66'    | '-100,00' |
	И элемент формы с именем "СкидкаПроцент" стал равен '0,00'
	И элемент формы с именем "СкидкаСумма" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУвеличение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаНДСУвеличение" стал равен '0,00'
	И элемент формы с именем "ИтогСуммаСНДСУменьшение" стал равен '100,00'
	И элемент формы с именем "ИтогСуммаНДСУменьшение" стал равен '16,66'
	И элемент формы с именем "СуммаДокумента" стал равен '100,00'
	И элемент формы с именем "СуммаНДС" стал равен '16,67'
	И элемент формы с именем "Вес" стал равен '0,600'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Поступления товаров и услуг'
	И я закрываю окно 'Поступления товаров и услуг'

Сценарий: 018.3. CARC. Завершение

	И я закрываю сеанс TESTCLIENT